%define pkg_name        File-Find-Rule-VCS
%define pkg_version     1.02
%define rpm_pkg_version 1.02
%define rpm_pkg_release 1.n0i.2

Summary:       Exclude files/directories for Version Control Systems
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AD/ADAMK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.47}
%{!?_without_test:BuildRequires: perl(File::Find::Rule) >= 0.20}
%{!?_without_test:BuildRequires: perl(File::Spec) >= 0.82}


%description
File::Find::Rule::VCS provides methods to exclude the version control
directories of several major Version Control Systems.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.02-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.02

* Sat Apr 08 2006 Marius Feraru <altblue@n0i.net> 1.00-1.n0i.1
- spec file (re)created using main/v1.12.0
- rebuild on perl 5.8.8
